View Issue Details

IDProjectCategoryView StatusLast Update
0024776mantisbtfilterspublic2019-01-09 10:30
ReportercproensaAssigned Tocproensa 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version2.18.0 
Target Version2.20.0Fixed in Version2.20.0 
Summary0024776: Switching simple/advanced for a temporary filter loses the filter
Description

When displaying a temporary filter, and switching the view mode between simple and advanced, the filter is lost.

TagsNo tags attached.

Activities

Related Changesets

MantisBT: master ff1dbab7

2018-09-14 01:09:05

cproensa


Committer: dregad Details Diff
Fix switching view mode for temporary filters

Fix switching view mode for a temporary filter.
Previously, switching the advanced or simple view for a temporary
filter, would lose the filter.

Fixes: 0024776
Affected Issues
0024776
mod - core/filter_api.php Diff File

MantisBT: master ccae4dce

2019-01-09 15:11:49

dregad

Details Diff
Improve presentation of temporary filters

Merge PR https://github.com/mantisbt/mantisbt/pull/1390

Fixes 0024775, 0024776, 0025109
Affected Issues
0024775, 0024776, 0025109
mod - browser_search_plugin.php Diff File
mod - changelog_page.php Diff File
mod - config_defaults_inc.php Diff File
mod - core/constant_inc.php Diff File
mod - core/filter_api.php Diff File
mod - core/filter_form_api.php Diff File
mod - core/gpc_api.php Diff File
mod - core/print_api.php Diff File
mod - core/summary_api.php Diff File
mod - css/ace-mantis.css Diff File
mod - css/default.css Diff File
mod - js/bugFilter.js Diff File
mod - js/common.js Diff File
mod - lang/strings_english.txt Diff File
mod - main_page.php Diff File
mod - manage_filter_edit_page.php Diff File
mod - roadmap_page.php Diff File
mod - set_project.php Diff File
mod - view_all_inc.php Diff File
mod - view_all_set.php Diff File
mod - view_filters_page.php Diff File

Issue History

Date Modified Username Field Change
2018-09-13 19:24 cproensa New Issue
2018-09-13 19:24 cproensa Status new => assigned
2018-09-13 19:24 cproensa Assigned To => cproensa
2018-09-13 19:32 cproensa Note Added: 0060656
2019-01-09 10:14 dregad Changeset attached => MantisBT master ccae4dce
2019-01-09 10:14 dregad Changeset attached => MantisBT master ff1dbab7
2019-01-09 10:14 dregad Assigned To cproensa => dregad
2019-01-09 10:14 dregad Status assigned => resolved
2019-01-09 10:14 dregad Resolution open => fixed
2019-01-09 10:14 dregad Fixed in Version => 2.20.0
2019-01-09 10:14 cproensa Assigned To dregad => cproensa
2019-01-09 10:30 atrol Target Version => 2.20.0